"use strict";require("core-js/modules/es.symbol.description");require("core-js/modules/es.array.iterator");require("core-js/modules/es.promise");Object.defineProperty(exports,"__esModule",{value:true});exports.coverage=exports.unitw=exports.unit=void 0;var _process=require("process");

var _gulpExeca=require("gulp-execa");

var _debug=require("./debug.js");
var _coverage=require("./coverage.js");


const runAva=async function(args,options){
const ava=await getAva(args);
const avaA=await(0,_coverage.addCoverage)(ava);

await(0,_gulpExeca.exec)(avaA,options);

await(0,_coverage.uploadCoverage)();
};




const getAva=function(extraArgs){
const args=[..._process.argv.slice(3),...extraArgs].join(" ");

if((0,_debug.isAvaDebug)({args})){
return(0,_debug.getAvaDebug)({args});
}

return`ava ${args}`;
};

const unit=()=>runAva([],{});exports.unit=unit;


unit.description="Run unit tests";


const unitw=()=>runAva(["-w"],{stdin:"inherit"});exports.unitw=unitw;


unitw.description="Run unit tests (watch mode)";

const coverage=_coverage.checkCoverage;exports.coverage=coverage;

coverage.description="Ensure source files are fully covered by tests";
//# sourceMappingURL=main.js.map