"use strict";require("core-js/modules/es.promise");require("core-js/modules/es.string.replace");Object.defineProperty(exports,"__esModule",{value:true});exports.isAvaDebug=exports.getAvaDebug=void 0;var _findUp=_interopRequireDefault(require("find-up"));
var _moize=_interopRequireDefault(require("moize"));function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}





const getAvaDebug=async function({args}){
const inspect=findInspect({args});
const argsA=args.replace(inspect,"").replace(FILES_REGEXP,"");
const profile=await mGetAvaProfile();
return`node ${inspect} ${profile} ${argsA}`;
};exports.getAvaDebug=getAvaDebug;

const FILES_REGEXP=/\x2D\x2Dfiles[\t-\r =\xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]+/gu;

const getAvaProfile=function(){
return(0,_findUp.default)("node_modules/ava/profile.js");
};

const mGetAvaProfile=(0,_moize.default)(getAvaProfile);

const isAvaDebug=function({args}){
return findInspect({args})!==undefined;
};exports.isAvaDebug=isAvaDebug;

const findInspect=function({args}){
return args.split(" ").find(isInspect);
};

const isInspect=function(arg){
return arg.startsWith("--inspect");
};
//# sourceMappingURL=debug.js.map